Package org.wso2.carbon.logging.appender.http.models

## Class SslConfiguration

- java.lang.Object
- - org.wso2.carbon.logging.appender.http.models.SslConfiguration

-     @Plugin(name="SslConf",
              category="Core",
              printObject=true)
      public class SslConfiguration
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SslConfiguration` | `createSslConfiguration​(String protocol, String keyStoreLocation, String keyStorePassword, String trustStoreLocation, String trustStorePassword, boolean verifyHostName)` |
    `String` | `getKeyStoreLocation()` |
    `String` | `getKeyStorePassword()` |
    `String` | `getProtocol()` |
    `String` | `getTrustStoreLocation()` |
    `String` | `getTrustStorePassword()` |
    `boolean` | `isVerifyHostName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createSslConfiguration

          @PluginFactory
          public static SslConfiguration createSslConfiguration​(@PluginAttribute("protocol")
                                                                String protocol,
                                                                @PluginAttribute("keyStoreLocation")
                                                                String keyStoreLocation,
                                                                @PluginAttribute("keyStorePassword")
                                                                String keyStorePassword,
                                                                @PluginAttribute("trustStoreLocation")
                                                                String trustStoreLocation,
                                                                @PluginAttribute("trustStorePassword")
                                                                String trustStorePassword,
                                                                @PluginAttribute("verifyHostName")
                                                                boolean verifyHostName)

    - #### getProtocol

          public String getProtocol()

    - #### getKeyStoreLocation

          public String getKeyStoreLocation()

    - #### getKeyStorePassword

          public String getKeyStorePassword()

    - #### getTrustStoreLocation

          public String getTrustStoreLocation()

    - #### getTrustStorePassword

          public String getTrustStorePassword()

    - #### isVerifyHostName

          public boolean isVerifyHostName()